Picard 2.0 released

Hey people, samj1912 here again o/

This time we are announcing the release of a new Picard!

Official MusicBrainz cross-platform music tagger Picard 2.0 is now out, containing many fixes and new features and much needed upgrades!

The last time we put out a major release was more than 6 years ago (Picard 1.0 in June of 2012), so this release comes with a major back-end update. If you’re in a hurry and just want to try it out, the downloads are available from the Picard website.

If you have been following our Picard related blogs, you will know that we switched up our dependencies a bit. Python should now be at least version 3.5, PyQt 5.7 or newer and Mutagen should be 1.37 or newer. A side effect of this dependency bump is that Picard should look better and in general feel more responsive.

A couple of things to note – with Picard 2.0, Picard Windows builds will be portable standalone binaries. Also, we will only be supporting 64-bit Windows officially because of lack of resources to build a 32-bit image. The macOS requirements were also bumped up for the same reasons, with macOS 10.10 being the lowest version that is supported.

As such, Picard 1.4.2 will be the last version that is supported for both Windows 32 and macOS 10.7-10.10. You can find it in the Picard downloads section as well.

You can find a detailed change-log on the Picard webiste.

The highlights of this update are –

  • Retina and Hi-DPI display support
  • Improved performance
  • UI improvements

We would like to thank all contributors, from all around the world, who helped for this release: Laurent Monin, Sophist, Wieland Hoffmann, Vishal Choudhary, Philipp Wolfer, Calvin Walton, David Mandelberg, Paul Roub, Yagyansh Bhatia, Shen-Ta Hsieh, Ville Skyttä, Yvan Rivierre and also all of our translators!

Be aware that downgrading from 2.0 to 1.4 may lead to configuration compatibility issues – ensure that you have saved your Picard configuration before using 2.0 if you intend to go back to 1.4.

Note:  If you are facing errors while tagging releases on Windows, do take a look at this FAQ about SSL errors.

19 thoughts on “Picard 2.0 released

  1. zag

    Without the installer I’m completly lost how to migrate my old plugins. It just used to work with the old version. Now they seem to be in C:\Users\user\AppData\Local\MusicBrainz\Picard\plugins but copying my old ones there doesnt work. Any ideas how to get them back? the only one I use is the fanart.tv downloader.

  2. insolite

    Why won’t you provide the application in the form of an archive? That self-extracting binary is much slower to start than Picard 1.4.2. Sure I can copy the extracted files and use them, but this might be not for an average user and looks hacky.

  3. Sambhav Kothari Post author

    @invisibleman78 I cannot reproduce the issue and the crash report doesn’t point to anything conclusively Picard’s fault. It will be helpful if they can provide a debug output using command line. Also Picard seems to open fine by the testers who tried it in irc.

  4. Sambhav Kothari Post author

    @insolite, we even have an improvement ticket for a non portable installation. I will be trying to get it to work in the next release. We currently are lacking on a proper windows machine and the current build is from me doing trial and error experiments on a CD platform called Appveyor. It will definitely be helpful if someone with windows packaging experience can help us out. We even released a call for help in our past beta blogs. Almost entirety of the Picard team just has access to Linux machines so it makes cross platform development a little hard.

  5. InvisibleMan78

    @samj1912: The URL was just a pointer to ALL the open issues from all the Picard 2.0 beta releases. It’s not about the specific (Mac) Issue #1212. My question is about ALL the open issues, reported with ALL the Picard beta releases. I ask because beta testing without seeing solutions for the reported issues (and regardless seeing a final version released) is a litte bit strange.

  6. insolite

    @Sambhav Kothari I did not mean the installer. I meant just an archive that can be unpacked and used right away.

    As for the absence of Windows environment, would running a virtual machine with Windows be an option for you?

  7. PicardonMac

    Mac version just crashes on MacOS 10.13.6 when launching. I suspect its because none of its dependencies are bundled with the application. MacOS doesn’t come with python 3.5 (etc etc) out of the box. Picard 1.4.x does have the dependencies included. Is this intentional? Or does the MacOS release just need to be properly re-packaged for distribution?

  8. Sambhav Kothari Post author

    The Mac version does have all the dependencies bundled and should work out of the box. This includes a python3. We have had multiple people try out Picard 2.0 on irc and it works as expected

  9. PicardonMac

    I just re-downloaded the Mac version from the US mirror and verified that the MD5 hash matches.

    I opened the DMG file and the volume name is “MusicBrainz Picard 2.0.0.final0_osx_20180718093502”.

    Using the MacOS Terminal, I looked into the “MusicBrainz Picard.app/Contents/Frameworks” directory and its completely empty.

    If I check the same Frameworks folder for Picard v1.4.x, I see the various dependency frameworks are included with v1.4. I see Python.framework, QtCore.framework, QtDBus.framework, QtGui.framework, QtNetwork.framework, QtXml.framework, and libdiscid.0.dylib. None of these (or similar) are included with Picard 2.0.

    Can you check that the version posted on the official download mirror(s) are the same as the one your IRC testers were using? From what I can tell, none of the dependencies are included. 😦

  10. Sambhav Kothari Post author

    The way we packaged Picard has changed. If you look carefully and compare the sizes of 1.4.x to 2.0 you’ll notice that the entirety of Picard 2’s size is made up of that one executable. All of the dependencies are included in that.

  11. PicardonMac

    Interesting… Yes, the single executable in 2.0 does appear to be quite large compared to the 1.4.x executable. 🙂 Nonetheless, the app still crashes when attempting to launch with an illegal instruction:4 . Partial details are below – I know this isn’t the place for troubleshooting though.

    Anyway, I’ll do so more investigation over the weekend and perhaps try a different Mac. If I am still having issues, I’ll drop into the Picard forum or I’ll search around to find out where you guys are hanging out on IRC.

    Crashed Thread: 0 Dispatch queue: com.apple.main-thread

    Exception Type: EXC_BAD_INSTRUCTION (SIGILL)
    Exception Codes: 0x0000000000000001, 0x0000000000000000
    Exception Note: EXC_CORPSE_NOTIFY

    Termination Signal: Illegal instruction: 4
    Termination Reason: Namespace SIGNAL, Code 0x4
    Terminating Process: exc handler [0]

  12. It's FOSS

    Congratulations on the new release.
    Just wanted to let you know that the Debian doesn’t have the Picard 2.0 yet.
    P.S. Will it be possible to create a Snap application of Picard?

  13. Pingback: Music Tagger MusicBrainz Picard Has a New Major Release After Six Years | It's FOSS

  14. Pingback: PING: Latte Dock, GameMode, Picard, Chrome, Fuchsia OS, Mega, Ubuntu... » MuyLinux

  15. Pingback: PING: Latte Dock, GameMode, Picard, Chrome, Fuchsia OS, Mega, Ubuntu… – Corrientes Primero

  16. Bas

    This is great, I’ve been using Picard intensively these past few weeks and I’m looking forward to working with this new release to get a taste of the differences!

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google+ photo

You are commenting using your Google+ account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s

This site uses Akismet to reduce spam. Learn how your comment data is processed.